gnutls_x509_crt_set_proxy_dn(3)

NAME
gnutls_x509_crt_set_proxy_dn - Set Proxy Certificate subject's distinguished name

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_proxy_dn(gnutls_x509_crt_t crt, gnutls_x509_crt_t eecrt, unsigned int raw_flag, const void * name, unsigned int sizeof_name);

ARGUMENTS

gnutls_x509_crt_t crt
    a gnutls_x509_crt_t structure with the new proxy cert

gnutls_x509_crt_t eecrt
    the end entity certificate that will be issuing the proxy

unsigned int raw_flag
    must be 0, or 1 if the CN is DER encoded

const void * name
    a pointer to the CN name, may be NULL (but MUST then be added later)

unsigned int sizeof_name
    holds the size of name

DESCRIPTION
This function will set the subject in crt to the end entity's eecrt subject name, and add a single Common Name component name of size sizeof_name. This corresponds to the required proxy certificate naming style. Note that if name is NULL, you MUST set it later by using gnutls_x509_crt_set_dn_by_oid() or similar. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.